Index: Epg.Designer.cs
===================================================================
--- Epg.Designer.cs	(Revision 27505)
+++ Epg.Designer.cs	(Arbeitskopie)
@@ -54,13 +54,13 @@
       this.label22 = new System.Windows.Forms.Label();
       this.label23 = new System.Windows.Forms.Label();
       this.groupBox7 = new System.Windows.Forms.GroupBox();
+      this.label2 = new System.Windows.Forms.Label();
+      this.label1 = new System.Windows.Forms.Label();
+      this.checkBoxEnableCRCCheck = new MediaPortal.UserInterface.Controls.MPCheckBox();
       this.checkBoxAlwaysUpdate = new MediaPortal.UserInterface.Controls.MPCheckBox();
       this.checkBoxAlwaysFillHoles = new MediaPortal.UserInterface.Controls.MPCheckBox();
       this.tabPage1 = new System.Windows.Forms.TabPage();
       this.tabControlEpg = new System.Windows.Forms.TabControl();
-      this.checkBoxEnableCRCCheck = new MediaPortal.UserInterface.Controls.MPCheckBox();
-      this.label1 = new System.Windows.Forms.Label();
-      this.label2 = new System.Windows.Forms.Label();
       this.groupBox9.SuspendLayout();
       this.groupBox2.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.numericUpDownEpgRefresh)).BeginInit();
@@ -89,7 +89,7 @@
       this.groupBox9.Controls.Add(this.btnTest);
       this.groupBox9.Location = new System.Drawing.Point(3, 200);
       this.groupBox9.Name = "groupBox9";
-      this.groupBox9.Size = new System.Drawing.Size(457, 228);
+      this.groupBox9.Size = new System.Drawing.Size(457, 192);
       this.groupBox9.TabIndex = 41;
       this.groupBox9.TabStop = false;
       this.groupBox9.Text = "Display options";
@@ -100,7 +100,7 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.label31.Location = new System.Drawing.Point(326, 80);
       this.label31.Name = "label31";
-      this.label31.Size = new System.Drawing.Size(125, 142);
+      this.label31.Size = new System.Drawing.Size(125, 106);
       this.label31.TabIndex = 37;
       this.label31.Text = "%TITLE%\r\n%DESCRIPTION%\r\n%GENRE%\r\n%STARRATING%\r\n%STARRATING_STR%\r\n%CLASSIFICATION%" +
           "\r\n%PARENTALRATING%\r\n%NEWLINE%";
@@ -188,7 +188,7 @@
       this.edDescriptionTest.Multiline = true;
       this.edDescriptionTest.Name = "edDescriptionTest";
       this.edDescriptionTest.ReadOnly = true;
-      this.edDescriptionTest.Size = new System.Drawing.Size(245, 96);
+      this.edDescriptionTest.Size = new System.Drawing.Size(245, 58);
       this.edDescriptionTest.TabIndex = 26;
       // 
       // btnTest
@@ -382,6 +382,37 @@
       this.groupBox7.TabStop = false;
       this.groupBox7.Text = "General";
       // 
+      // label2
+      // 
+      this.label2.AutoSize = true;
+      this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Italic, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.label2.Location = new System.Drawing.Point(29, 65);
+      this.label2.Name = "label2";
+      this.label2.Size = new System.Drawing.Size(352, 13);
+      this.label2.TabIndex = 14;
+      this.label2.Text = "If your provider doesn\'t broadcast CRC checksums, you have to disable it";
+      // 
+      // label1
+      // 
+      this.label1.AutoSize = true;
+      this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Italic, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.label1.Location = new System.Drawing.Point(132, 44);
+      this.label1.Name = "label1";
+      this.label1.Size = new System.Drawing.Size(211, 13);
+      this.label1.TabIndex = 13;
+      this.label1.Text = "(This will increase stability of EPG grabbing)";
+      // 
+      // checkBoxEnableCRCCheck
+      // 
+      this.checkBoxEnableCRCCheck.AutoSize = true;
+      this.checkBoxEnableCRCCheck.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+      this.checkBoxEnableCRCCheck.Location = new System.Drawing.Point(11, 42);
+      this.checkBoxEnableCRCCheck.Name = "checkBoxEnableCRCCheck";
+      this.checkBoxEnableCRCCheck.Size = new System.Drawing.Size(115, 17);
+      this.checkBoxEnableCRCCheck.TabIndex = 12;
+      this.checkBoxEnableCRCCheck.Text = "Enable CRC check";
+      this.checkBoxEnableCRCCheck.UseVisualStyleBackColor = true;
+      // 
       // checkBoxAlwaysUpdate
       // 
       this.checkBoxAlwaysUpdate.AutoSize = true;
@@ -413,7 +444,7 @@
       this.tabPage1.Location = new System.Drawing.Point(4, 22);
       this.tabPage1.Name = "tabPage1";
       this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPage1.Size = new System.Drawing.Size(466, 435);
+      this.tabPage1.Size = new System.Drawing.Size(466, 410);
       this.tabPage1.TabIndex = 0;
       this.tabPage1.Text = "DVB EPG";
       this.tabPage1.UseVisualStyleBackColor = true;
@@ -427,47 +458,16 @@
       this.tabControlEpg.Location = new System.Drawing.Point(0, 0);
       this.tabControlEpg.Name = "tabControlEpg";
       this.tabControlEpg.SelectedIndex = 0;
-      this.tabControlEpg.Size = new System.Drawing.Size(474, 461);
+      this.tabControlEpg.Size = new System.Drawing.Size(474, 436);
       this.tabControlEpg.TabIndex = 1;
       // 
-      // checkBoxEnableCRCCheck
-      // 
-      this.checkBoxEnableCRCCheck.AutoSize = true;
-      this.checkBoxEnableCRCCheck.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-      this.checkBoxEnableCRCCheck.Location = new System.Drawing.Point(11, 42);
-      this.checkBoxEnableCRCCheck.Name = "checkBoxEnableCRCCheck";
-      this.checkBoxEnableCRCCheck.Size = new System.Drawing.Size(115, 17);
-      this.checkBoxEnableCRCCheck.TabIndex = 12;
-      this.checkBoxEnableCRCCheck.Text = "Enable CRC check";
-      this.checkBoxEnableCRCCheck.UseVisualStyleBackColor = true;
-      // 
-      // label1
-      // 
-      this.label1.AutoSize = true;
-      this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Italic, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.label1.Location = new System.Drawing.Point(132, 44);
-      this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(211, 13);
-      this.label1.TabIndex = 13;
-      this.label1.Text = "(This will increase stability of EPG grabbing)";
-      // 
-      // label2
-      // 
-      this.label2.AutoSize = true;
-      this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Italic, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.label2.Location = new System.Drawing.Point(29, 65);
-      this.label2.Name = "label2";
-      this.label2.Size = new System.Drawing.Size(352, 13);
-      this.label2.TabIndex = 14;
-      this.label2.Text = "If your provider doesn\'t broadcast CRC checksums, you have to disable it";
-      // 
       // Epg
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.tabControlEpg);
       this.Name = "Epg";
-      this.Size = new System.Drawing.Size(474, 475);
+      this.Size = new System.Drawing.Size(474, 439);
       this.groupBox9.ResumeLayout(false);
       this.groupBox9.PerformLayout();
       this.groupBox2.ResumeLayout(false);
@@ -520,6 +520,5 @@
     private System.Windows.Forms.Label label2;
     private System.Windows.Forms.Label label1;
     private MediaPortal.UserInterface.Controls.MPCheckBox checkBoxEnableCRCCheck;
-
   }
 }